Bug 634621 - Review Request: mingw32-qpid-cpp - MinGW Windows AMQP daemons and libraries
Summary: Review Request: mingw32-qpid-cpp - MinGW Windows AMQP daemons and libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-16 15:02 UTC by Adam Stokes
Modified: 2011-01-12 05:31 UTC (History)
4 users (show)

Fixed In Version: mingw32-qpid-cpp-0.8-0.2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-12 05:31:33 UTC
lhh: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Adam Stokes 2010-09-16 15:02:55 UTC
Spec URL: http://astokes.fedorapeople.org/mingw32-qpid-cpp/mingw32-qpid-cpp.spec
SRPM URL: http://astokes.fedorapeople.org/mingw32-qpid-cpp/mingw32-qpid-cpp-0.6.895736-1.fc13.src.rpm
Description: MinGW cross-compiled daemons and run-time libraries for AMQP client
applications developed using Qpid C++. Clients exchange messages with
an AMQP message broker using the AMQP protocol.

Comment 2 Adam Stokes 2010-12-21 18:44:46 UTC
According to https://fedoraproject.org/wiki/Packaging:MinGW#Dependencies a 

BuildRequires:  mingw32-filesystem >= minimum-version

Is needed in addition to other requires.

Everything else looks fine according to the mingw32 specifics noted in above link

Comment 3 Lon Hohberger 2010-12-21 20:29:42 UTC
[lhh@localhost Downloads]$ rpmlint mingw32-qpid-cpp.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Lon Hohberger 2010-12-21 20:32:43 UTC
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Following these guidelines, the spec file and package pass based on the source RPM and spec file posted in comment #2 (after subsequent minor revision to the spec file).

Comment 5 Lon Hohberger 2010-12-21 20:36:00 UTC
Looks like there is a problem with my permissions; I can't set fedora-review+.  While I chase this down, I'll try to get someone else to set it for me.

Comment 6 Andrew Beekhof 2010-12-21 22:04:46 UTC
New Package SCM Request
=======================
Package Name: mingw32-qpid-cpp
Short Description: MinGW Windows AMQP daemons and libraries
Owners: beekhof
Branches: f14 devel
InitialCC: tross

Comment 7 Jason Tibbitts 2011-01-05 16:06:44 UTC
A few problems here:

I don't see any review at all.
The ticket is assigned to the person who owns the package.  It should be assigned to the reviewer.

Whoever actually reviewed this, please assign the ticket to yourself and provide some proper review.

Comment 8 Andrew Beekhof 2011-01-05 20:09:38 UTC
Lon, apparently comment #4 was insufficient.

Comment 9 Lon Hohberger 2011-01-05 21:52:20 UTC
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

  Done, See comment #3.

MUST: The package must be named according to the Package Naming Guidelines .

  PASS, however, note that the package is prefixed with "mingw32-" consistent with other packages destined for use in the MinGW environment.

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

  PASS; matches.

MUST: The package must meet the Packaging Guidelines .

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

  PASS; License is ASL 2.0

MUST: The License field in the package spec file must match the actual license.

  PASS; verified from upstream tarball.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

  PASS; LICENSE / notice is included in %doc in the current spec file
    noted in comment #1.

MUST: The spec file must be written in American English.

  PASS

MUST: The spec file for the package MUST be legible.

  PASS

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  PASS; verified with sha256sum:
    http://people.apache.org/~robbie/qpid/0.8/RC3/qpid-0.8.tar.gz
      970755a17a16e4ad879c7529f648266e9667db54944f55b1f66f96497412dd37
    against Andrew's source rpm:
      970755a17a16e4ad879c7529f648266e9667db54944f55b1f66f96497412dd37

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

  PASS; package compiles in koji:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2703449

MUST: If the package does not successfully compile...

  PASS

MUST: All build dependencies must be listed in BuildRequires, except...

  PASS.

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

  PASS / N/A.  Package has no locale data.

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

  PASS / N/A.

MUST: Packages must NOT bundle copies of system libraries.

  PASS

MUST: If the package is designed to be relocatable...

  N/A

MUST: A package must own all directories that it creates.

  PASS

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

  PASS; see build output

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

  PASS; only one files section and no duplicate files reported
        during build

MUST: Each package must consistently use macros.

  PASS

MUST: The package must contain code, or permissable content.

  PASS; package contains source code.

MUST: Large documentation files must go in a -doc subpackage.

  N/A

MUST: If a package includes something as %doc ...

  PASS

MUST: Header files must be in a -devel package.

  PASS - EXCEPTION: mingw32 development-oriented packages
     apparently are not required to meed this criteria.
     Libraries, development libraries, and headers were
     all in a single package. (Ex: mingw32-qt, mingw32-tk)

MUST: Static libraries must be in a -static package.

  PASS - EXCEPTION: mingw32 development-oriented packages
     apparently are not required to meet this criteria.
     Libraries, development libraries, and headers were
     all in a single package. (Ex: mingw32-qt, mingw32-tk)

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

  PASS - EXCEPTION: mingw32 development-oriented packages
     apparently are not required to meet this criteria.
     Libraries, development libraries, and headers were
     all in a single package. (Ex: mingw32-qt, mingw32-tk)

MUST: In the vast majority of cases, devel packages...

  PASS; no -devel package.

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

  PASS; no .la libtool archives.

MUST: Packages containing GUI applications.

  PASS; no GUI application; this is a development library.

MUST: Packages must not own files or directories already owned by other packages.

  PASS

MUST: All filenames in rpm packages must be valid UTF-8.

  PASS

SHOULD: If the source package does not include license text(s)...

  PASS

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

  None are available at this time.

SHOULD: The reviewer should test that the package builds in mock.

  Koji implies mock.

SHOULD: The package should compile and build into binary rpms on all supported architectures.

  Koji.

SHOULD: The reviewer should test that the package functions as described.

  No Windows environment available during review.

SHOULD: If scriptlets are used, those scriptlets must be sane.

  N/A; No scriptlets are used.

SHOULD: Usually, subpackages other than devel should require...

  N/A; No subpackages.

SHOULD: The placement of pkgconfig(.pc)

  N/A

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

  N/A

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

  WARN: Missing a couple of man pages.

Comment 10 Andrew Beekhof 2011-01-05 21:54:48 UTC
Whanks lon, re-requesting CVS

New Package SCM Request
=======================
Package Name: mingw32-qpid-cpp
Short Description: MinGW Windows AMQP daemons and libraries
Owners: beekhof, tross
Branches: f14 devel
InitialCC:

Comment 11 Lon Hohberger 2011-01-05 22:03:11 UTC
ACCEPT based on comment #9.

Comment 12 Jason Tibbitts 2011-01-06 14:40:29 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-01-10 23:10:35 UTC
mingw32-qpid-cpp-0.8-0.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-qpid-cpp-0.8-0.2.fc14

Comment 14 Fedora Update System 2011-01-12 05:31:28 UTC
mingw32-qpid-cpp-0.8-0.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.